import * as plugins from './plugins.js';
import { ServiceWorker } from './classes.serviceworker.js';

/**
 * Taskmanager
 * should use times allocated by browser
 */
export class TaskManager {
  public serviceworkerRef: ServiceWorker;
  public taskmanager = new plugins.taskbuffer.TaskManager();

  constructor(serviceWorkerRefArg: ServiceWorker) {
    this.serviceworkerRef = serviceWorkerRefArg;
    this.taskmanager.start();
  }

  public updateTask = new plugins.taskbuffer.Task({
    name: 'updateTask',
    taskFunction: async () => {
      await this.serviceworkerRef.cacheManager.cleanCaches('a new app version has been communicated by the server.');
    }
  })

}